ThinkPHP 5.0.21 版本发布,改进对 Swoole 的支持

流年
 流年
发布于 2018年09月10日
收藏 4

ThinkPHP 5.0.21 版本发布了,该版本主要做了一些已知问题的修正,改进了对Swoole的支持,以及增加路由解析缓存功能。支持上一个版本的无缝升级。

【主要更新日志】

- 增加路由解析缓存功能
- 改进url生成的端口问题
- 改进缓存驱动
- 改进value方法的缓存处理
- 修正Builder类的insertAll方法
- 改进对Swoole的支持

之前由于5.0版本对Swoole的支持非常麻烦,现做了一些改进,推荐使用xavier-swoole,其用法和5.1的think-swoole扩展更加接近了(5.1版本推荐使用官方的think-swoole扩展 提供更好的兼容性)。

更多的功能改进请使用5.1版本(相比较5.0版本提供了更多的新特性),5.0版本目前处于安全更新和维护阶段。

5.1版本已经稳定,但官方不再提供官方下载包,请使用composer或者Git安装。

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:ThinkPHP 5.0.21 版本发布,改进对 Swoole 的支持
加载中

精彩评论

长宁楚王陈涉
长宁楚王陈涉
已经很久没用过了,

最新评论(7

长宁楚王陈涉
长宁楚王陈涉

引用来自“长宁楚王陈涉”的评论

已经很久没用过了,

引用来自“彩虹梦”的评论

我看你不是用yii 就是在用node 的路上
那倒不是,公司喜欢自己瞎搞框架,只能接着用
SalemChen
SalemChen
但官方不再提供官方下载包,请使用composer或者Git安装。。。这个好
开源中国-首席村长
开源中国-首席村长
用的人都在默默地用,不用的人都上来瞎比比。
流光掠影
流光掠影
:joy: 我说我在玩laravel会不会被打啊
左华栋
左华栋

引用来自“长宁楚王陈涉”的评论

已经很久没用过了,

引用来自“彩虹梦”的评论

我看你不是用yii 就是在用node 的路上
哈哈哈 node.js 走起
彩虹梦
彩虹梦

引用来自“长宁楚王陈涉”的评论

已经很久没用过了,
我看你不是用yii 就是在用node 的路上
长宁楚王陈涉
长宁楚王陈涉
已经很久没用过了,
返回顶部
顶部